
public abstract class Class151_Sub2 extends Class151 {

   static int anInt9596;


   public abstract int method14944();

   public abstract int method14945(int var1, int var2);

   abstract void method14946(int var1, int var2);

   abstract void method14947(int var1, int var2);

   public abstract int method14948();

   public abstract int method14949(int var1, int var2);

   static final void method14950(Class508 var0, byte var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class420.aClass242_5333.method4342(-1808335434)?1:0;
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class420.aClass242_5333.method4333((byte)1)?1:0;
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class420.aClass242_5333.method4334(1227117328)?1:0;
   }

   static void method14951(Class121 var0, int var1, int var2, int var3, boolean var4, Class508 var5, int var6) {
      if(0 == var2) {
         throw new RuntimeException();
      } else {
         Class124 var7 = var0.aClass124Array1207[var1];
         if(null == var7.aClass124Array1408) {
            var7.aClass124Array1408 = new Class124[1 + var3];
            var7.aClass124Array1521 = var7.aClass124Array1408;
         }

         if(var7.aClass124Array1408.length <= var3) {
            Class124[] var8;
            if(var7.aClass124Array1521 == var7.aClass124Array1408) {
               var8 = new Class124[1 + var3];

               for(int var9 = 0; var9 < var7.aClass124Array1408.length; ++var9) {
                  var8[var9] = var7.aClass124Array1408[var9];
               }

               var7.aClass124Array1408 = var7.aClass124Array1521 = var8;
            } else {
               var8 = new Class124[var3 + 1];
               Class124[] var13 = new Class124[1 + var3];

               for(int var10 = 0; var10 < var7.aClass124Array1408.length; ++var10) {
                  var8[var10] = var7.aClass124Array1408[var10];
                  var13[var10] = var7.aClass124Array1521[var10];
               }

               var7.aClass124Array1408 = var8;
               var7.aClass124Array1521 = var13;
            }
         }

         if(var3 > 0 && var7.aClass124Array1408[var3 - 1] == null) {
            throw new RuntimeException("" + (var3 - 1));
         } else {
            Class124 var11 = new Class124();
            var11.anInt1370 = -831786205 * var2;
            var11.anInt1481 = (var11.anInt1406 = 1 * var7.anInt1406) * -975049569;
            var11.anInt1369 = -807742177 * var3;
            var7.aClass124Array1408[var3] = var11;
            if(var7.aClass124Array1521 != var7.aClass124Array1408) {
               var7.aClass124Array1521[var3] = var11;
            }

            Class505 var12;
            if(var4) {
               var12 = var5.aClass505_6011;
            } else {
               var12 = var5.aClass505_6010;
            }

            var12.aClass121_5978 = var0;
            var12.aClass124_5977 = var11;
            Class460.method7767(var7, 858377057);
         }
      }
   }
}
